Google+‎ > ‎Google+ Hangouts API‎ > ‎

GWT-Hangout Api 1.1

This is unofficial and not complete yet.
Source code:Github 
Bug or known problems:Issues

Summary

Check your Google talk plugin version,hangout api 1.1 need gtalk plugin 2.9.you can check version from uninstall-application of control-panel.

namespace gapi.hangout

not tested well,especially listeners.but maybe work.

namespace gapi.hangout.av

not tested well,especially listeners.but maybe work.

namespace gapi.hangout.av.effects

1.1 facetracking feature not tested yet,1.0 almost well.
forget position of overlay,without position of overlay it works well with gtalk-plugin 2.9.
forget about all the sound.i don't think it's because of gwt.anyway it's not played well.

namespace gapi.hangout.data

state works well.
message seems well(But only between gtalk plugin2.9 and in developer sandbox)

namespace gapi.hangout.layout

maybe well
be careful  when you call onDisplayedParticipantChanged.you can call static method inside onDisplayedParticipantChanged().

namespace gapi.hangout.onair

not tested well,but maybe work.


Comments